----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    15:51:53 11/17/2008 
-- Design Name: 
-- Module Name:    Amplitude_adjust - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Amplitude_adjust is
    Port ( Amplitude : in   STD_LOGIC_VECTOR (35 downto 0);
           Negate :    in   STD_LOGIC;
           PCM :       out  STD_LOGIC_VECTOR (17 downto 0));
end Amplitude_adjust;

architecture Behavioral of Amplitude_adjust is
begin
	PCM <= '1' &      Amplitude( 35 downto 19) when Negate = '1' else
	       '0' & (not Amplitude( 35 downto 19));
end Behavioral;

