--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.2.04i
--  \   \         Application : sch2vhdl
--  /   /         Filename : SinusGenerator.vhf
-- /___/   /\     Timestamp : 11/18/2008 11:45:15
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx92i\bin\nt\sch2vhdl.exe -intstyle ise -family spartan3e -flat -suppress -w D:/XiLinx_Projekter/BASYS_PROJECTS/EXER/EXER5xSinusGen/SinusGen1/SinusGenerator.sch SinusGenerator.vhf
--Design Name: SinusGenerator
--Device: spartan3e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity SinusGenerator is
   port ( Clk : in    std_logic; 
          Sw0 : in    std_logic; 
          PPM : out   std_logic);
end SinusGenerator;

architecture BEHAVIORAL of SinusGenerator is
   signal XLXN_70 : std_logic_vector (5 downto 0);
   signal XLXN_71 : std_logic_vector (9 downto 0);
   component sinus_rom
      port ( addr : in    std_logic_vector (5 downto 0); 
             clk  : in    std_logic; 
             dout : out   std_logic_vector (9 downto 0));
   end component;
   
   component PPM_output
      port ( Clk : in    std_logic; 
             PCM : in    std_logic_vector (9 downto 0); 
             PPM : out   std_logic);
   end component;
   
   component SinusCounter
      port ( Clk  : in    std_logic; 
             Adr  : out   std_logic_vector (5 downto 0); 
             Test : in    std_logic);
   end component;
   
begin
   XLXI_2 : sinus_rom
      port map (addr(5 downto 0)=>XLXN_70(5 downto 0),
                clk=>Clk,
                dout(9 downto 0)=>XLXN_71(9 downto 0));
   
   XLXI_3 : PPM_output
      port map (Clk=>Clk,
                PCM(9 downto 0)=>XLXN_71(9 downto 0),
                PPM=>PPM);
   
   XLXI_4 : SinusCounter
      port map (Clk=>Clk,
                Test=>Sw0,
                Adr(5 downto 0)=>XLXN_70(5 downto 0));
   
end BEHAVIORAL;


