VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Clk
        SIGNAL XLXN_70(5:0)
        SIGNAL XLXN_71(9:0)
        SIGNAL PPM
        SIGNAL Sw0
        PORT Input Clk
        PORT Output PPM
        PORT Input Sw0
        BEGIN BLOCKDEF sinus_rom
            TIMESTAMP 2008 11 18 10 11 55
            RECTANGLE N 32 0 320 272 
            BEGIN LINE W 0 48 32 48 
            END LINE
            LINE N 0 240 32 240 
            BEGIN LINE W 320 48 352 48 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF PPM_output
            TIMESTAMP 2008 11 18 10 20 57
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF SinusCounter
            TIMESTAMP 2008 11 18 10 44 1
            LINE N 64 -32 0 -32 
            LINE N 64 -96 0 -96 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 64 -128 320 64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 sinus_rom
            PIN addr(5:0) XLXN_70(5:0)
            PIN clk Clk
            PIN dout(9:0) XLXN_71(9:0)
        END BLOCK
        BEGIN BLOCK XLXI_3 PPM_output
            PIN Clk Clk
            PIN PCM(9:0) XLXN_71(9:0)
            PIN PPM PPM
        END BLOCK
        BEGIN BLOCK XLXI_4 SinusCounter
            PIN Clk Clk
            PIN Adr(5:0) XLXN_70(5:0)
            PIN Test Sw0
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_2 784 560 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_3 1216 640 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_4 336 704 R0
        END INSTANCE
        BEGIN BRANCH Clk
            WIRE 176 608 256 608
            WIRE 256 608 336 608
            WIRE 256 608 256 800
            WIRE 256 800 784 800
            WIRE 256 432 1216 432
            WIRE 1216 432 1216 544
            WIRE 256 432 256 608
        END BRANCH
        BEGIN BRANCH XLXN_70(5:0)
            WIRE 720 608 736 608
            WIRE 736 608 784 608
        END BRANCH
        BEGIN BRANCH XLXN_71(9:0)
            WIRE 1136 608 1200 608
            WIRE 1200 608 1216 608
        END BRANCH
        BEGIN BRANCH PPM
            WIRE 1600 544 1616 544
            WIRE 1616 544 1664 544
        END BRANCH
        IOMARKER 176 608 Clk R180 28
        BEGIN BRANCH Sw0
            WIRE 192 672 320 672
            WIRE 320 672 336 672
        END BRANCH
        IOMARKER 192 672 Sw0 R180 28
        BEGIN DISPLAY 848 516 TEXT Sinus_ROM
            FONT 48 "Arial"
            TEXTCOLOR 0 0 128
        END DISPLAY
        IOMARKER 1664 544 PPM R0 28
    END SHEET
END SCHEMATIC
